package com.gic.haoban.manage.web.qo.content;

/**
 * Created by wangzubo on 2023/9/12.
 */

import java.io.Serializable;
import java.util.List;

public class ContentAIGCQO implements Serializable {

    private static final long serialVersionUID = 1L;

    private String enterpriseId;

    private String clerkId;

    /**
     * 商品id列表
     */
    private List<String> goodsIdList;

    /**
     * 营销节点
     */
    private String holiday;

    /**
     * 营销主题
     */
    private String theme;

    /**
     * 营销折扣
     */
    private String discount;

    /**
     * 穿着场景
     */
    private String scene;

    /**
     * 自定义描述
     */
    private String customDescription;

    /**
     * 文案长度
     */
    private String length;

    /**
     * 文案类型
     */
    private String type;

    /**
     * 文案风格
     */
    private String style;

    /**
     * 标题风格
     */
    private String titleStyle;

    /**
     * title:标题content:内容 null为全部
     */
    private String contentType;

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public List<String> getGoodsIdList() {
        return goodsIdList;
    }

    public void setGoodsIdList(List<String> goodsIdList) {
        this.goodsIdList = goodsIdList;
    }

    public String getHoliday() {
        return holiday;
    }

    public void setHoliday(String holiday) {
        this.holiday = holiday;
    }

    public String getTheme() {
        return theme;
    }

    public void setTheme(String theme) {
        this.theme = theme;
    }

    public String getDiscount() {
        return discount;
    }

    public void setDiscount(String discount) {
        this.discount = discount;
    }

    public String getScene() {
        return scene;
    }

    public void setScene(String scene) {
        this.scene = scene;
    }

    public String getCustomDescription() {
        return customDescription;
    }

    public void setCustomDescription(String customDescription) {
        this.customDescription = customDescription;
    }

    public String getLength() {
        return length;
    }

    public void setLength(String length) {
        this.length = length;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getStyle() {
        return style;
    }

    public void setStyle(String style) {
        this.style = style;
    }

    public String getTitleStyle() {
        return titleStyle;
    }

    public void setTitleStyle(String titleStyle) {
        this.titleStyle = titleStyle;
    }

    public String getContentType() {
        return contentType;
    }

    public void setContentType(String contentType) {
        this.contentType = contentType;
    }
}
